﻿@using EM.Domain.Entities
@using System.Collections.Generic;
@model Evenement
@{string path = "~/Content/Upload/" + @Model.Picture;}

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_CustomLayout.cshtml";
    var comments = ViewData["comments"] as IEnumerable<EM.Presentation.Models.CommentVM>;
}
<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Events</title>
    <!--   -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script>
        $(document).ready(function () {
            $("button").click(function () {
                $("textarea").toggle();
            });
        });
    </script>
</head>
<body>



    <h3>Event</h3>
    <center>

        <div>

            <img alt="Evenement" src="@Url.Content(path)" width="220" height="170" />

        </div>

        <div class="card-body">

            <dt>
                @Html.DisplayNameFor(model => model.Name)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Name)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Theme)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Theme)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Location)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Location)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.StartDate)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.StartDate)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.EndDate)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.EndDate)
            </dd>

            </dl>

            <a class="btn btn-primary btn-round" href="@Url.Action("Index")"> Back to List </a>



        </div>


        <!-- your part starts here ---->
        @if (comments != null)
        {

            @(Html.BeginForm())
            {
                <div>
                    <nav class="navbar navbar-expand-lg bg-rose">
                        <div class="container">

                            <div class="collapse navbar-collapse">

                                <form class="form-inline ml-auto">
                                    @Html.TextBox("searchString")
                                    <button type="submit" class="btn btn-white btn-raised btn-fab btn-round" id="submit">
                                        <i class="material-icons">search </i>
                                    </button>
                                </form>
                            </div>
                        </div>
                    </nav>
                    
                </div>

            }
            <table class="table text-center" id="table" align="center">
                <tr style="border:1px solid black"></tr>

                @foreach (var item in comments)
                {
                    <tr>
                        <td>

                            @Html.Partial("~/Views/Comment/_DisplayImg.cshtml", item)
                        </td>

                        <td>
                            @Html.DisplayFor(modelItem => item.ParticipantName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Text)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.CreatedOn)
                        </td>
                        <td>
                            <span class="likebtn-wrapper" data-theme="custom" data-icon_l_c_v="#fb0505" data-icon_d_c_v="#f0ff00" data-label_c_v="#ff0000" data-counter_d_c="#f0ff00" data-lang="fr" data-ef_voting="buzz" data-identifier="dis/like" data-voting_frequency="90"></span>
                        </td>


                        <td>

                            @Html.ActionLink("Rep", "Index1", "Comment", new { commid = item.Id }) ( @Html.Action("nbReplies", "Comment", new { idCom = item.Id }) ) |
                            @Html.ActionLink("Edit", "Edit2", "Comment", new { id = item.Id }) |
                            @*<a href="@Url.Action("Delete", "Comment", new { id=item.Id })" class="button" style="font-size:24px"> <i class="fa fa-trash-o"></i></a>*@
                            @Html.ActionLink("Delete", "Delete", "Comment", new { id = item.Id })
                        </td>
                    </tr>
                }
            </table>
        }



        <table>
            <tr>
                <td>
                    <textarea id="comm" placeholder="votre commentaire"></textarea>
                </td>
                <td>
                    <button class="btn btn-rose" id="show">Mettre un commentaire&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i style='font-size:24px' class='far'>&#xf075;</i><div class="ripple-container"></div></button>
                </td>
            </tr>
        </table>


        @section scripts{
            <!-- LikeBtn.com BEGIN -->

            <script>(function (d, e, s) { if (d.getElementById("likebtn_wjs")) return; a = d.createElement(e); m = d.getElementsByTagName(e)[0]; a.async = 1; a.id = "likebtn_wjs"; a.src = s; m.parentNode.insertBefore(a, m) })(document, "script", "//w.likebtn.com/js/w/widget.js");</script><!-- LikeBtn.com END -->

            <script>
    $(function() {
        function getContent(){
            return document.getElementById("comm").value
        }

        $("#comm").keyup(function (e){
            var keycode = (event.keyCode ? event.keyCode : event.which);
            if(keycode == '13'){

                var contenu = document.getElementById("comm").value;
                if (contenu == "") {
                    window.console("un commentaire  ne peut pas etre vide ");
                }
                else {

                    $.ajax({
                        url: '@Url.Action("Details", "Event")' + "?contenu=" + contenu,
                        type: "POST",
                        success: function (result) {
                            $('#table').append(result)
                            $("#comm").val("")
                        }

                    })

                }
            }


        })
    });
            </script>

        }

</body>
</html>